# Class FormControlHasEnablePermissionDirective

#### Hierarchy (view full)

- HasEnablePermission
  - FormControlHasEnablePermissionDirective

- Defined in lib/form-control-has-enable-permission.directive.ts:21

#####
Index

### Constructors

constructor

### Properties

cdr
identifier
ngControl

### Methods

ngOnDestroy
ngOnInit
setDisabled

## Constructors

### constructor

- new FormControlHasEnablePermissionDirective(authorization, cdr, scope, valueAccessor?, ngControl): FormControlHasEnablePermissionDirective

- #### Parameters

  - authorization: AuthorizationService
  - cdr: ChangeDetectorRef
  - scope: string
  - valueAccessor: null | ControlValueAccessor[] = null
  - ngControl: NgControl

  #### Returns FormControlHasEnablePermissionDirective

  Overrides HasEnablePermission.constructor

  - Defined in lib/form-control-has-enable-permission.directive.ts:27

## Properties

### `Protected` `Readonly` cdr

cdr: ChangeDetectorRef

Inherited from HasEnablePermission.cdr

- Defined in lib/has-enable-permission.ts:28

### identifier

identifier: string

Overrides HasEnablePermission.identifier

- Defined in lib/form-control-has-enable-permission.directive.ts:25

### `Private` `Readonly` ngControl

ngControl: NgControl

- Defined in lib/form-control-has-enable-permission.directive.ts:39

## Methods

### ngOnDestroy

- ngOnDestroy(): void

- #### Returns void

  Inherited from HasEnablePermission.ngOnDestroy

  - Defined in lib/has-enable-permission.ts:60

### ngOnInit

- ngOnInit(): void

- #### Returns void

  Inherited from HasEnablePermission.ngOnInit

  - Defined in lib/has-enable-permission.ts:39

### setDisabled

- setDisabled(disabled): void

- #### Parameters

  - disabled: boolean

  #### Returns void

  Overrides HasEnablePermission.setDisabled

  - Defined in lib/form-control-has-enable-permission.directive.ts:44